## dune-common 2.9.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

cmake_minimum_required(VERSION 3.13)
project(dune-common LANGUAGES C CXX)

# make sure our own modules are found
list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/modules)

#include the dune macros
include(DuneMacros)

# start a dune project with information from dune.module
dune_project()

# Create the module library for dune-common
dune_add_library(dunecommon)

# Set properties to the dunecommon target
add_dune_blas_lapack_flags(dunecommon)
add_dune_tbb_flags(dunecommon)

# add subdirectories to execute CMakeLists.txt there
add_subdirectory(bin)
add_subdirectory(cmake)
add_subdirectory(doc)
add_subdirectory(dune)
add_subdirectory(lib)
add_subdirectory(share)

# if Python bindings are enabled, include necessary sub directories.
if(DUNE_ENABLE_PYTHONBINDINGS)
  add_subdirectory(python)
endif()

# finalize the dune project, e.g. generating config.h etc.
finalize_dune_project()

=== bin/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

install(PROGRAMS
  dune-ctest
  duneproject
  dunecontrol
  dunepackaging.py
  dune-git-whitespace-hook
  rmgenerated.py
  DESTINATION ${CMAKE_INSTALL_BINDIR})

=== cmake/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(modules)
add_subdirectory(scripts)

=== doc/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory("doxygen")
add_subdirectory("buildsystem")
add_subdirectory("comm")
install(FILES ${CMAKE_CURRENT_SOURCE_DIR}/dunecontrol.1
  DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

=== dune/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(common)

# if Python bindings are enabled, include necessary sub directories.
if(DUNE_ENABLE_PYTHONBINDINGS)
  add_subdirectory(python)
else()
  exclude_subdir_from_headercheck(python)
endif()

=== lib/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

install(FILES dunemodules.lib
  DESTINATION ${CMAKE_INSTALL_BINDIR}/../lib)

=== python/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(dune)

configure_file(MANIFEST.in MANIFEST.in)
configure_file(pyproject.toml.in pyproject.toml)

dune_python_configure_bindings(
  PATH "."
  CMAKE_METADATA_FLAGS DUNE_OPTS_FILE HAVE_MPI CMAKE_BUILD_TYPE CMAKE_CXX_COMPILER CMAKE_CXX_FLAGS CMAKE_C_COMPILER CMAKE_C_FLAGS CMAKE_PREFIX_PATH ALLOW_CXXFLAGS_OVERWRITE
)
if(POLICY CMP0087)
  cmake_policy(SET CMP0087 NEW)
endif()

=== share/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory("bash-completion")

=== cmake/modules/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(FindPkgConfig)
add_subdirectory(FindPython3)

install(FILES
  AddBLASLapackFlags.cmake
  AddGMPFlags.cmake
  AddMETISFlags.cmake
  AddMPIFlags.cmake
  AddParMETISFlags.cmake
  AddPTScotchFlags.cmake
  AddQuadMathFlags.cmake
  AddTBBFlags.cmake
  AddThreadsFlags.cmake
  AddSuiteSparseFlags.cmake
  AddVcFlags.cmake
  CheckCXXFeatures.cmake
  CMakeBuiltinFunctionsDocumentation.cmake
  DuneAddLibrary.cmake
  DuneAddPybind11Module.cmake
  DuneCMakeCompat.cmake
  DuneCommonMacros.cmake
  DuneDoc.cmake
  DuneDoxygen.cmake
  DuneEnableAllPackages.cmake
  DuneExecuteProcess.cmake
  DuneInstance.cmake
  DuneMacros.cmake
  DuneModuleDependencies.cmake
  DuneModuleInformation.cmake
  DunePathHelper.cmake
  DunePkgConfig.cmake
  DuneProject.cmake
  DunePythonCommonMacros.cmake
  DunePythonDeprecations.cmake
  DunePythonFindPackage.cmake
  DunePythonInstallPackage.cmake
  DunePythonTestCommand.cmake
  DunePythonVirtualenv.cmake
  DuneReplaceProperties.cmake
  DuneSphinxDoc.cmake
  DuneSphinxCMakeDoc.cmake
  DuneStreams.cmake
  DuneSymlinkOrCopy.cmake
  DuneTestMacros.cmake
  DuneUtilities.cmake
  FindGMP.cmake
  FindInkscape.cmake
  FindLatexMk.cmake
  FindMETIS.cmake
  FindParMETIS.cmake
  FindPTScotch.cmake
  FindQuadMath.cmake
  FindSphinx.cmake
  FindSuiteSparse.cmake
  FindTBB.cmake
  Headercheck.cmake
  latexmkrc.cmake
  OverloadCompilerFlags.cmake
  UseInkscape.cmake
  UseLatexMk.cmake
  DESTINATION ${DUNE_INSTALL_MODULEDIR})

=== cmake/scripts/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

# Install non-executable scripts
install(FILES
  conf.py.in
  CreateDoxyFile.cmake
  venvpath.py
  checkvenvconf.py
  FinalizeHeadercheck.cmake
  index.rst.in
  InstallFile.cmake
  main77.cc.in
  module_library.cc.in
  pyversion.py
  RunDoxygen.cmake
  setup.py.in
  sphinx_cmake_dune.py
  WritePythonCMakeMetadata.cmake
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dune/cmake/scripts)

# Install executable programs
install(PROGRAMS
  extract_cmake_data.py
  run-in-dune-env.sh.in
  DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dune/cmake/scripts
)

=== doc/buildsystem/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

# Install the buildsystem documentation defined in dune-common
install(FILES dune-common.rst DESTINATION ${CMAKE_INSTALL_DOCDIR})

# Also always build the CMake API documentation in dune-common
dune_cmake_sphinx_doc()

=== doc/comm/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

#add_executable(poosc08 "poosc08.cc")
#target_link_libraries(poosc08 PUBLIC "dunecommon")

#add_executable(poosc08_test "poosc08_test.cc")
#target_link_libraries(poosc08_test PUBLIC "dunecommon")

#add_executable(indexset "indexset.cc")
#target_link_libraries(indexset PUBLIC "dunecommon")

#add_dune_mpi_flags("poosc08;poosc08_test;indexset")

dune_add_latex_document(
  SOURCE communication.tex
  FATHER_TARGET doc
  BUILD_ON_INSTALL
  INSTALL ${CMAKE_INSTALL_DOCDIR}/comm)

=== debian/changelog ===
dune-common (2.9.0-6) unstable; urgency=medium

  * patches: fix: use values that are representable as double in test.
    This should fix the test failure on i386.
    + new patch: 0002-fix-use-values-that-are-representable-as-double-in-t.patch

 -- Ansgar <ansgar@debian.org>  Tue, 26 Dec 2023 19:41:53 +0100

dune-common (2.9.0-5) unstable; urgency=medium

  * patches: fix: use values that are representable as double in test.
    This should fix the build failure on i386.
    + new patch: 0001-fix-use-values-that-are-representable-as-double-in-t.patch

 -- Ansgar <ansgar@debian.org>  Tue, 26 Dec 2023 15:52:42 +0100

dune-common (2.9.0-4) unstable; urgency=medium

  * Team upload
  * Replace libatlas-base-dev by libblas-dev | libblas.so in (Build-)Depends
    (Closes: #1056669)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 22 Dec 2023 15:55:58 +0100

dune-common (2.9.0-3) unstable; urgency=medium

  * d/patches: Backported upstream GCC-13 compile fix
      (Closes: #1037630)

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 13 Jul 2023 08:20:17 +0200

dune-common (2.9.0-2) unstable; urgency=medium

  * Upload to unstable
  * d/patches: Prevent build-path from appearing in downstream DUNE modules
  * d/control: Added Markus Blatt as uploader (with consent of Ansgar)

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 12 Jan 2023 16:39:41 +0100

dune-common (2.9.0-1) experimental; urgency=medium

  [ Markus Blatt ]
  * d/patches: Prevent file-references-package-build-path lintian warning
  * d/upstream: Added upstream metadata file.
  * d/get-orig-source: Adapted to removed dune-grid/amiramesh directory.
  * d/patches: Refreshed patches and fixed dune.module
  * New upstream release (2.9.0).

  [ Ansgar ]
  * d/control: set Standards-Version to 4.6.2 (no changes).

 -- Ansgar <ansgar@debian.org>  Sat, 07 Jan 2023 21:52:09 +0100

dune-common (2.8.0-4) unstable; urgency=medium

  * Team upload.

  [ Markus Blatt ]
  * FindMETIS.cmake: Also search for libscotchmetisv5 and libscotchmetisv3
      (Closes: #1007823, #1007830, #1007930)

  [ Drew Parsons ]
  * apply FindMETis.cmake patch in debian patch findmetis_scotch7.patch

 -- Drew Parsons <dparsons@debian.org>  Sat, 19 Mar 2022 13:10:34 +0100

=== debian/control ===
Source: dune-common
Section: libs
Priority: optional
Standards-Version: 4.6.2
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ansgar <ansgar@debian.org>, Markus Blatt <markus@dr-blatt.de>
Vcs-Browser: https://salsa.debian.org/science-team/dune-common
Vcs-Git: https://salsa.debian.org/science-team/dune-common.git
Homepage: https://www.dune-project.org/
Build-Depends: debhelper-compat (= 13),
 cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
 libblas-dev | libblas.so, liblapack-dev
Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures, python3-sphinx
Rules-Requires-Root: no

Package: libdune-common-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
 cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkg-config,
 libblas-dev | libblas.so, liblapack-dev
Recommends: python3
Suggests: libdune-common-doc (= ${source:Version})
Provides: ${dune:shared-library}
Description: toolbox for solving PDEs -- basic classes (development files)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the development files for the basic classes.

Package: libdune-common-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Built-Using: ${dune:doc:Built-Using}
Description: toolbox for solving PDEs -- basic classes (documentation)
 DUNE, the Distributed and Unified Numerics Environment is a modular toolbox
 for solving partial differential equations (PDEs) with grid-based methods.
 It supports the easy implementation of methods like Finite Elements (FE),
 Finite Volumes (FV), and also Finite Differences (FD).
 .
 This package contains the documentation for the basic classes.

## dune-common 2.10.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,13 @@
-# SPDX-FileCopyrightInfo: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
-cmake_minimum_required(VERSION 3.13)
+cmake_minimum_required(VERSION 3.16)
 project(dune-common LANGUAGES C CXX)
+
+# CMake 3.29.1 is incompatible as it removed PACKAGE_PREFIX_DIR
+if (CMAKE_VERSION VERSION_EQUAL 3.29.1)
+  message(FATAL_ERROR "CMake 3.29.1 is not compatible with Dune. Use a different CMake version.")
+endif()
 
 # make sure our own modules are found
 list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/modules)
@@ -13,8 +18,11 @@
 # start a dune project with information from dune.module
 dune_project()
 
-# Create the module library for dune-common
-dune_add_library(dunecommon)
+# Create a target for dune-common with a Dune::Common alias
+dune_add_library(dunecommon EXPORT_NAME Common NAMESPACE Dune::)
+
+# minimal c++ standard required
+target_compile_features(dunecommon PUBLIC cxx_std_17)
 
 # Set properties to the dunecommon target
 add_dune_blas_lapack_flags(dunecommon)

=== bin/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

install(PROGRAMS
  dune-add-spdx
  dune-ctest
  duneproject
  dunecontrol
  dunepackaging.py
  dune-git-whitespace-hook
  DESTINATION ${CMAKE_INSTALL_BINDIR})

=== cmake/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(modules)
add_subdirectory(scripts)

=== doc/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightInfo: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
 add_subdirectory("doxygen")

=== dune/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightInfo: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
 add_subdirectory(common)

=== lib/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

install(FILES dunemodules.lib
  DESTINATION ${CMAKE_INSTALL_BINDIR}/../lib)

=== python/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(dune)

configure_file(MANIFEST.in MANIFEST.in)
configure_file(pyproject.toml.in pyproject.toml)

dune_python_configure_bindings(
  PATH "."
  CMAKE_METADATA_FLAGS DUNE_OPTS_FILE HAVE_MPI CMAKE_BUILD_TYPE CMAKE_CXX_COMPILER CMAKE_CXX_FLAGS CMAKE_C_COMPILER CMAKE_C_FLAGS CMAKE_PREFIX_PATH CMAKE_CXX_COMPILER_LAUNCHER
)

=== share/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory("bash-completion")

=== cmake/modules/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightInfo: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
 add_subdirectory(FindPkgConfig)
@@ -20,7 +20,6 @@
   CMakeBuiltinFunctionsDocumentation.cmake
   DuneAddLibrary.cmake
   DuneAddPybind11Module.cmake
-  DuneCMakeCompat.cmake
   DuneCommonMacros.cmake
   DuneDoc.cmake
   DuneDoxygen.cmake
@@ -32,9 +31,9 @@
   DuneModuleInformation.cmake
   DunePathHelper.cmake
   DunePkgConfig.cmake
+  DunePolicy.cmake
   DuneProject.cmake
   DunePythonCommonMacros.cmake
-  DunePythonDeprecations.cmake
   DunePythonFindPackage.cmake
   DunePythonInstallPackage.cmake
   DunePythonTestCommand.cmake

=== cmake/scripts/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightInfo: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
 # Install non-executable scripts
@@ -23,5 +23,6 @@
 install(PROGRAMS
   extract_cmake_data.py
   run-in-dune-env.sh.in
+  set-dune-pythonpath.sh.in
   DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/dune/cmake/scripts
 )

=== doc/buildsystem/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightInfo: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
 # Install the buildsystem documentation defined in dune-common

=== doc/comm/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# SPDX-FileCopyrightInfo: Copyright (C) DUNE Project contributors, see file LICENSE.md in module root
+# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
 # SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception
 
 #add_executable(poosc08 "poosc08.cc")

=== debian/changelog ===
dune-common (2.10.0-5) unstable; urgency=medium

  * Backported Quadmath fix for ppc64el IEEE long double from upstream
     (Closes: 1114003)

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 15 Sep 2025 07:59:28 +0200

dune-common (2.10.0-4) unstable; urgency=medium

  * Revert "Allow running mpirun as root in autopkgtest"

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 22 Nov 2024 15:28:16 +0100

dune-common (2.10.0-3) unstable; urgency=medium

  * d/patches: Fix duneproject patch treating opm-simulator as alias.
  * d/patches: Do not judge installation status of module only with pkgconf
  * d/patches: Only set CMakes module_DIR variable if there are config files
  * Allow running mpirun as root in autopkgtest

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 21 Nov 2024 13:47:35 +0100

dune-common (2.10.0-2) unstable; urgency=medium

  * d/patches: Treat opm-models as alias for opm-simulators in duneproject

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 18 Nov 2024 10:44:33 +0100

dune-common (2.10.0-1) unstable; urgency=medium

  * New upstream version 2.10
  * d/patches: Fix installation path for *.pc and
     *-config.cmake for header-only modules

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 14 Nov 2024 18:22:14 +0100

dune-common (2.10~pre20241004-2) experimental; urgency=medium

  * d/patches: Fix installation path for *.pc and
     *-config.cmake for header-only modules
  * Added a debian/watch file.

 -- Markus Blatt <markus@dr-blatt.de>  Mon, 21 Oct 2024 22:30:17 +0200

dune-common (2.10~pre20241004-1) experimental; urgency=medium

  * New snapshot for upcoming release 2.10
  * Refreshed patches

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 17 Oct 2024 19:44:49 +0200

dune-common (2.9.0-8) unstable; urgency=medium

  * d/dune-debian.env: Use new OpenMPI 5 environment variables
      to allow oversubscription and set the SSH agent. Closes: #1086864

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 07 Nov 2024 16:59:08 +0100

dune-common (2.9.0-7) unstable; urgency=medium

  * d/control: Depend on pkgconf instead of obsolete pkg-config
  * d/control: Bumped standards version to 4.7.0 (no-change)

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 10 Oct 2024 16:59:54 +0200

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: dune-common
 Section: libs
 Priority: optional
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ansgar <ansgar@debian.org>, Markus Blatt <markus@dr-blatt.de>
 Vcs-Browser: https://salsa.debian.org/science-team/dune-common
 Vcs-Git: https://salsa.debian.org/science-team/dune-common.git
 Homepage: https://www.dune-project.org/
 Build-Depends: debhelper-compat (= 13),
- cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkg-config, python3,
+ cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkgconf, python3,
  libblas-dev | libblas.so, liblapack-dev
 Build-Depends-Indep: doxygen, ghostscript, graphviz, imagemagick, texlive-latex-extra, texlive-latex-recommended, texlive-pictures, python3-sphinx
 Rules-Requires-Root: no
@@ -18,7 +18,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${misc:Depends}, ${shlibs:Depends},
- cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkg-config,
+ cmake (>= 3.13), gfortran, mpi-default-bin, mpi-default-dev, pkgconf,
  libblas-dev | libblas.so, liblapack-dev
 Recommends: python3
 Suggests: libdune-common-doc (= ${source:Version})

=== debian/rules ===
#! /usr/bin/make -f

include /usr/share/dpkg/architecture.mk

DUNE_DEBIAN_ENV := $(CURDIR)/debian/dune-debian.env
DUNE_CTEST := $(CURDIR)/bin/dune-ctest
DUNE_DEBIAN_DUNECONTROL := $(CURDIR)/bin/dunecontrol

ifneq ($(filter mips64el mipsel,$(DEB_HOST_ARCH)),)
  DUNE_TEST_LABELS=quick
else
  DUNE_TEST_LABELS=
endif

include debian/dune-debian.mk

%:
	dh $@ --builddirectory=build --buildsystem=cmake

override_dh_auto_build-indep:
	dh_auto_build -- doc

override_dh_installdocs-indep:
	dh_installdocs
	dh_sphinxdoc

=== debian/tests/control ===
Tests: basic
Depends:
 libdune-common-dev,
 build-essential,
 mpi-default-bin, mpi-default-dev,
 libscotchmetis-dev,
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="searchmode=plain" \
 https://gitlab.dune-project.org/core/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate

## dune-common 2.11.0~git20251211

=== dune/common/typetree/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LGPL-3.0-or-later OR LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(test)

install(FILES
  childaccess.hh
  nodeconcepts.hh
  traversal.hh
  treecontainer.hh
  treepath.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/common/typetree)

=== cmake/test/dune_policy/project1/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

cmake_minimum_required(VERSION 3.16)
project(_project1 VERSION 0.1)

include(DunePolicy)
dune_set_policy(_DP000X NEW)

=== debian/changelog ===
dune-common (2.11.0~git20251211-3) experimental; urgency=medium

  * d/patches: Force parameter 5 of eigenValuesNonsymLapackCall to make
      sense

 -- Markus Blatt <markus@dr-blatt.de>  Tue, 06 Jan 2026 10:55:55 +0100

dune-common (2.11.0~git20251211-2) experimental; urgency=medium

  * Fix installation location for pkg-config file for libless modules

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 04 Jan 2026 11:59:57 +0100

dune-common (2.11.0~git20251211-1) experimental; urgency=medium

  * New upstream release (2.11.0~git20251211).
  * d/get-orig-source: Changed version for snapshots to have git in them.
  * d/patches: Use full path to install doxygen files.

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 04 Jan 2026 10:40:29 +0100

dune-common (2.10.0-6) unstable; urgency=medium

  * Make sure we find scotch 7.0 when looking for ParMETIS.

 -- Markus Blatt <markus@dr-blatt.de>  Sun, 07 Dec 2025 17:19:24 +0100

## dune-common 2.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,8 +12,19 @@
 # make sure our own modules are found
 list(APPEND CMAKE_MODULE_PATH ${PROJECT_SOURCE_DIR}/cmake/modules)
 
+set(THREADS_PREFER_PTHREAD_FLAG TRUE CACHE BOOL "Prefer -pthread compiler and linker flag")
+
 #include the dune macros
 include(DuneMacros)
+
+# deactivate global include-directories for dune-common
+dune_policy(SET DP_DEFAULT_INCLUDE_DIRS NEW)
+
+# deactivate global calls to add_dune_all_flags in tests
+dune_policy(SET DP_TEST_ADD_ALL_FLAGS NEW)
+
+# deactivate required suggtest module dependencies
+dune_policy(SET DP_SUGGESTED_MODULE_DEPENDENCIES_REQUIRED_DOWNSTREAM NEW)
 
 # start a dune project with information from dune.module
 dune_project()
@@ -21,12 +32,32 @@
 # Create a target for dune-common with a Dune::Common alias
 dune_add_library(dunecommon EXPORT_NAME Common NAMESPACE Dune::)
 
+# set include directories for dunecommon library
+dune_default_include_directories(dunecommon PUBLIC)
+
 # minimal c++ standard required
-target_compile_features(dunecommon PUBLIC cxx_std_17)
+target_compile_features(dunecommon PUBLIC cxx_std_20)
 
 # Set properties to the dunecommon target
 add_dune_blas_lapack_flags(dunecommon)
 add_dune_tbb_flags(dunecommon)
+
+# collect dependencies to be added into the dune-common-config.cmake files
+set(DUNE_COMMON_PACKAGE_DEPENDENCIES
+  [[set(THREADS_PREFER_PTHREAD_FLAG TRUE CACHE BOOL "Prefer -pthread compiler and linker flag")]])
+
+# since dunecommon is exported its linked libs must be provided downstream too
+if (LAPACK_FOUND)
+  list(APPEND DUNE_COMMON_PACKAGE_DEPENDENCIES "find_dependency(LAPACK)")
+elseif (BLAS_FOUND)
+  list(APPEND DUNE_COMMON_PACKAGE_DEPENDENCIES "find_dependency(BLAS)")
+endif()
+if (Threads_FOUND)
+  list(APPEND DUNE_COMMON_PACKAGE_DEPENDENCIES "find_dependency(Threads)")
+endif()
+if (TBB_FOUND)
+  list(APPEND DUNE_COMMON_PACKAGE_DEPENDENCIES "find_dependency(TBB)")
+endif()
 
 # add subdirectories to execute CMakeLists.txt there
 add_subdirectory(bin)
@@ -41,5 +72,12 @@
   add_subdirectory(python)
 endif()
 
-# finalize the dune project, e.g. generating config.h etc.
+# write contents into DUNE_CUSTOM_PKG_CONFIG_SECTION, which will be injected into dune-common-config.cmake
+string(JOIN "\n" DUNE_CUSTOM_PKG_CONFIG_SECTION
+  # make sure that Find<module>.cmake provided by dune-common can be found by cmake
+  [[list(APPEND CMAKE_MODULE_PATH "${dune-common_MODULE_PATH}")]]
+  ${DUNE_COMMON_PACKAGE_DEPENDENCIES}
+)
+
+# finalize the dune project, e.g. generating config.h, dune-common-config.cmake, etc.
 finalize_dune_project()

=== cmake/CMakeLists.txt ===
--- 
+++ 
@@ -3,3 +3,4 @@
 
 add_subdirectory(modules)
 add_subdirectory(scripts)
+add_subdirectory(test)

=== lib/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

install(FILES dunemodules.lib DESTINATION lib)

=== cmake/modules/CMakeLists.txt ===
--- 
+++ 
@@ -21,6 +21,7 @@
   DuneAddLibrary.cmake
   DuneAddPybind11Module.cmake
   DuneCommonMacros.cmake
+  DuneDefaultIncludeDirectories.cmake
   DuneDoc.cmake
   DuneDoxygen.cmake
   DuneEnableAllPackages.cmake

=== cmake/test/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

dune_declare_test_label(LABELS buildsystem)

# test that dune policies are local to a project
add_test(
    NAME dunepolicytest
    COMMAND ${CMAKE_COMMAND}
    -DCMAKE_MODULE_PATH=${PROJECT_SOURCE_DIR}/cmake/modules
    -S ${CMAKE_CURRENT_SOURCE_DIR}/dune_policy
    -B ${CMAKE_CURRENT_BINARY_DIR}/dune_policy
)

# test that a stand alone project depending on dune-common can be configured
add_test(
    NAME dunecommonstandaloneconfiguretest
    COMMAND ${CMAKE_COMMAND}
    -DCMAKE_PREFIX_PATH=${PROJECT_BINARY_DIR}
    -DCMAKE_CXX_COMPILER=${CMAKE_CXX_COMPILER}
    -DCMAKE_CXX_FLAGS=${CMAKE_CXX_FLAGS}
    -S ${CMAKE_CURRENT_SOURCE_DIR}/dune_common_standalone
    -B ${CMAKE_CURRENT_BINARY_DIR}/dune_common_standalone
)
# test that a standalone project depending on dune-common can be built
add_test(
    NAME dunecommonstandalonebuildtest
    COMMAND ${CMAKE_COMMAND}
    --build ${CMAKE_CURRENT_BINARY_DIR}/dune_common_standalone
)

set_tests_properties(dunecommonstandalonebuildtest PROPERTIES DEPENDS dunecommonstandaloneconfiguretest)

set_tests_properties(
        dunepolicytest dunecommonstandaloneconfiguretest dunecommonstandalonebuildtest
    PROPERTIES LABELS buildsystem
)

=== dune/common/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory("concepts")
add_subdirectory("parallel")
add_subdirectory("simd")
add_subdirectory("std")
add_subdirectory("test")
add_subdirectory("typetree")

# add some sources to the dunecommon library
target_sources(dunecommon PRIVATE
  debugalign.cc
  debugallocator.cc
  exceptions.cc
  fmatrixev.cc
  ios_state.cc
  parametertree.cc
  parametertreeparser.cc
  path.cc
  simd/test.cc
  stdstreams.cc
  stdthread.cc)

#install headers
install(FILES
        alignedallocator.hh
        arraylist.hh
        bartonnackmanifcheck.hh
        bigunsignedint.hh
        binaryfunctions.hh
        bitsetvector.hh
        boundschecking.hh
        classname.hh
        concept.hh
        concepts.hh
        conditional.hh
        copyableoptional.hh
        debugalign.hh
        debugallocator.hh
        debugstream.hh
        deprecated.hh
        densematrix.hh
        densevector.hh
        diagonalmatrix.hh
        documentation.hh
        dotproduct.hh
        dynmatrix.hh
        dynmatrixev.hh
        dynvector.hh
        enumset.hh
        exceptions.hh
        filledarray.hh
        float_cmp.cc
        float_cmp.hh
        fmatrix.hh
        fmatrixev.hh
        forceinline.hh
        ftraits.hh
        fvector.hh
        genericiterator.hh
        gmpfield.hh
        hash.hh
        hybridmultiindex.hh
        hybridutilities.hh
        indent.hh
        indexediterator.hh
        indices.hh
        integersequence.hh
        interfaces.hh
        ios_state.hh
        iteratorfacades.hh
        iteratorrange.hh
        lru.hh
        mallocallocator.hh
        math.hh
        matrixconcepts.hh
        matvectraits.hh
        metis.hh
        overloadset.hh
        parameterizedobject.hh
        parametertree.hh
        parametertreeparser.hh
        path.hh
        poolallocator.hh
        precision.hh
        propertymap.hh
        promotiontraits.hh
        proxymemberaccess.hh
        quadmath.hh
        rangeutilities.hh
        referencehelper.hh
        reservedvector.hh
        scalarvectorview.hh
        scalarmatrixview.hh
        shared_ptr.hh
        simd.hh
        singleton.hh
        sllist.hh
        stdstreams.hh
        stdthread.hh
        streamoperators.hh
        stringutility.hh
        timer.hh
        transpose.hh
        tupleutility.hh
        tuplevector.hh
        typelist.hh
        typetraits.hh
        typeutilities.hh
        unused.hh
        vc.hh
        version.hh
        visibility.hh
DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/common)

# Install some test headers, because they get used by tests in other modules
# We do this here as test will not be considered for make install
install(FILES test/iteratortest.hh
  test/checkmatrixinterface.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/common/test)

=== cmake/test/dune_common_standalone/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
project(dune-common-standalone CXX)

# find a build or installed directory with dune-common
find_package(dune-common REQUIRED)

# compile a simple executable with some dune-common utilities
add_executable(dune-common-standalone dune-common-standalone.cc)

# linking only against Dune::Common should be enough
target_link_libraries(dune-common-standalone PRIVATE Dune::Common)

=== cmake/test/dune_policy/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

cmake_minimum_required(VERSION 3.16)
project(dune_policy_test VERSION 0.1)

include(DunePolicy)
dune_define_policy(_DP000X dune_policy_test 1.0 "The is a test policy")

add_subdirectory(project1)
add_subdirectory(project2)
add_subdirectory(project3)

=== dune/common/concepts/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

install(FILES
  container.hh
  hashable.hh
  number.hh
DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/common/concepts)

=== dune/common/parallel/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

add_subdirectory(test)
add_subdirectory(benchmark)

#install headers
install(FILES
        communication.hh
        communicator.hh
        indexset.hh
        indicessyncer.hh
        interface.hh
        localindex.hh
        mpicommunication.hh
        mpiguard.hh
        future.hh
        mpifuture.hh
        mpidata.hh
        mpipack.hh
        mpihelper.hh
        mpitraits.hh
        parmetis.hh
        plocalindex.hh
        remoteindices.hh
        selection.hh
        variablesizecommunicator.hh
        DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/common/parallel)

=== dune/common/std/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

install(FILES
  algorithm.hh
  assume.hh
  cmath.hh
  compare.hh
  default_accessor.hh
  extents.hh
  functional.hh
  iterator.hh
  layout_left.hh
  layout_right.hh
  layout_stride.hh
  mdarray.hh
  mdspan.hh
  memory.hh
  no_unique_address.hh
  span.hh
  type_traits.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/common/std)

add_subdirectory(impl)
add_subdirectory(test)

=== dune/common/test/CMakeLists.txt ===
# SPDX-FileCopyrightInfo: Copyright © DUNE Project contributors, see file LICENSE.md in module root
# SPDX-License-Identifier: LicenseRef-GPL-2.0-only-with-DUNE-exception

include(DuneInstance)

# Link all test targets in this directory against Dune::Common
link_libraries(Dune::Common)

dune_add_test(SOURCES arithmetictestsuitetest.cc
              LABELS quick)

dune_add_test(SOURCES arraylisttest.cc
              LABELS quick)

dune_add_test(SOURCES autocopytest.cc
              LABELS quick)

dune_add_test(SOURCES bigunsignedinttest.cc
              LABELS quick)

dune_add_test(SOURCES bitsetvectortest.cc
              LABELS quick)

dune_add_test(SOURCES boundscheckingtest.cc
              COMPILE_DEFINITIONS DUNE_CHECK_BOUNDS=1
              LABELS quick)
dune_add_test(SOURCES boundscheckingmvtest.cc
              COMPILE_DEFINITIONS DUNE_CHECK_BOUNDS=1
              LABELS quick)
dune_add_test(SOURCES boundscheckingoptest.cc
              COMPILE_DEFINITIONS DUNE_CHECK_BOUNDS=1
              LABELS quick)

dune_add_test(SOURCES calloncetest.cc
              LABELS quick)

dune_add_test(SOURCES check_fvector_size.cc
              LABELS quick)

dune_add_test(NAME check_fvector_size_fail1
              SOURCES check_fvector_size_fail.cc
              COMPILE_DEFINITIONS DIM=1
              EXPECT_COMPILE_FAIL
              LABELS quick)

dune_add_test(NAME check_fvector_size_fail2
              SOURCES check_fvector_size_fail.cc
              COMPILE_DEFINITIONS DIM=3
              EXPECT_COMPILE_FAIL
              LABELS quick)

dune_add_test(NAME classnametest-demangled
              SOURCES classnametest.cc
              LABELS quick)

dune_add_test(NAME classnametest-fallback
              SOURCES classnametest.cc
              COMPILE_DEFINITIONS DISABLE_CXA_DEMANGLE
              LABELS quick)

dune_add_test(SOURCES concept.cc
              LABELS quick)

dune_add_test(SOURCES concepts.cc
              LABELS quick)

dune_add_test(SOURCES constexprifelsetest.cc
              LABELS quick)

dune_add_test(SOURCES copyableoptionaltest.cc
              LABELS quick)

dune_add_test(SOURCES debugaligntest.cc
              LABELS quick)

# Generate files with instantiations, external declarations, and also the
# invocations in the test for each instance.
dune_instance_begin(FILES debugalignsimdtest.hh debugalignsimdtest.cc)
foreach(SCALAR IN ITEMS double bool)
  dune_instance_add(ID "${SCALAR}")
  foreach(POINT IN ITEMS Type BinaryOpsScalarVector BinaryOpsVectorScalar)
    dune_instance_add(TEMPLATE POINT
                      ID "${POINT}_${SCALAR}"
                      FILES debugalignsimd.cc)
  endforeach()
endforeach()
dune_instance_end()
list(FILTER DUNE_INSTANCE_GENERATED INCLUDE REGEX [[\.cc$]])
dune_add_test(NAME debugalignsimdtest
              SOURCES ${DUNE_INSTANCE_GENERATED}
              LABELS quick)

dune_add_test(SOURCES densematrixassignmenttest.cc
              LABELS quick)
add_dune_gmp_flags(densematrixassignmenttest)

foreach(FAIL RANGE 0 6)
  dune_add_test(NAME densematrixassignmenttest_fail${FAIL}
                SOURCES densematrixassignmenttest.cc
                COMPILE_DEFINITIONS "FAILURE${FAIL}"
                EXPECT_COMPILE_FAIL
                LABELS quick)
  add_dune_gmp_flags(densematrixassignmenttest)
endforeach()

dune_add_test(SOURCES densevectorassignmenttest.cc
              LABELS quick)

dune_add_test(SOURCES diagonalmatrixtest.cc
              LABELS quick)

dune_add_test(SOURCES dunethrowtest.cc
              LABELS quick)

dune_add_test(SOURCES dynmatrixtest.cc
              LABELS quick)

dune_add_test(SOURCES dynvectortest.cc
              LABELS quick)

dune_add_test(SOURCES densevectortest.cc
              LABELS quick)

dune_add_test(SOURCES enumsettest.cc
              LABELS quick)

dune_add_test(SOURCES filledarraytest.cc
              LABELS quick)

dune_add_test(SOURCES fmatrixtest.cc
              LABELS quick)
add_dune_vc_flags(fmatrixtest)

dune_add_test(SOURCES forceinlinetest.cc
              LABELS quick)

dune_add_test(SOURCES fvectortest.cc
              LABELS quick)

dune_add_test(SOURCES fvectorconversion1d.cc
              LABELS quick)

dune_add_test(SOURCES genericiterator_compile_fail.cc
              EXPECT_COMPILE_FAIL
              LABELS quick)

dune_add_test(SOURCES hybridutilitiestest.cc
              LABELS quick)

dune_add_test(SOURCES indexediteratortest.cc
              LABELS quick)

dune_add_test(SOURCES indicestest.cc
              LABELS quick)

dune_add_test(SOURCES integersequencetest.cc
              LABELS quick)

dune_add_test(SOURCES iscallabletest.cc
              LABELS quick)

dune_add_test(SOURCES iteratorfacadetest2.cc
              LABELS quick)

dune_add_test(SOURCES iteratorfacadetest.cc
              LABELS quick)

dune_add_test(SOURCES lrutest.cc
              LABELS quick)

dune_add_test(SOURCES mathclassifierstest.cc)

dune_add_test(SOURCES metistest.cc
              CMAKE_GUARD METIS_FOUND
              LABELS quick)
add_dune_metis_flags(metistest)

dune_add_test(SOURCES mpicommunicationtest.cc
              MPI_RANKS 1 2 4 8
              TIMEOUT 300
              LABELS quick)

dune_add_test(SOURCES mpiguardtest.cc
              MPI_RANKS 1 2 4 8
              TIMEOUT 300
              LABELS quick)

dune_add_test(SOURCES mpihelpertest.cc
              MPI_RANKS 1 2 4 8
              TIMEOUT 300
              LABELS quick)

dune_add_test(NAME mpihelpertest2
              SOURCES mpihelpertest.cc
              COMPILE_DEFINITIONS MPIHELPER_PREINITIALIZE
              MPI_RANKS 1 2 4 8
              TIMEOUT 300
              LABELS quick)

dune_add_test(SOURCES overloadsettest.cc
              LABELS quick)

dune_add_test(NAME parameterizedobjecttest
              SOURCES parameterizedobjecttest.cc parameterizedobjectfactorysingleton.cc
              LABELS quick)

dune_add_test(SOURCES parametertreelocaletest.cc
              LABELS quick)

dune_add_test(SOURCES parametertreetest.cc
              LABELS quick)

dune_add_test(SOURCES pathtest.cc
              LABELS quick)

dune_add_test(SOURCES poolallocatortest.cc
              LABELS quick)

dune_add_test(SOURCES powertest.cc
              LABELS quick)

dune_add_test(SOURCES quadmathtest.cc
              CMAKE_GUARD HAVE_QUADMATH)
add_dune_quadmath_flags(quadmathtest)

dune_add_test(SOURCES rangeutilitiestest.cc
              LABELS quick)

dune_add_test(SOURCES referencehelpertest.cc
              LABELS quick)

dune_add_test(SOURCES reservedvectortest.cc
              LABELS quick)

dune_add_test(SOURCES scotchtest.cc
              CMAKE_GUARD PTScotch_FOUND
              LABELS quick)
add_dune_ptscotch_flags(scotchtest)

dune_add_test(SOURCES shared_ptrtest.cc
              LABELS quick)

dune_add_test(SOURCES singletontest.cc
              LABELS quick)

dune_add_test(SOURCES sllisttest.cc
              LABELS quick)

dune_add_test(SOURCES stdidentity.cc
              LABELS quick)

dune_add_test(SOURCES stdchecktypes.cc
              LABELS quick)

dune_add_test(SOURCES streamoperatorstest.cc
              LABELS quick)

dune_add_test(SOURCES streamtest.cc
              LABELS quick)

dune_add_test(SOURCES stringutilitytest.cc
              LABELS quick)

dune_add_test(SOURCES testdebugallocator.cc
              LABELS quick)

dune_add_test(NAME testdebugallocator_fail1
              SOURCES testdebugallocator.cc
              COMPILE_DEFINITIONS "FAILURE1;EXPECTED_SIGNAL=SIGSEGV;EXPECTED_ALT_SIGNAL=SIGBUS"
              EXPECT_FAIL
              LABELS quick)

dune_add_test(NAME testdebugallocator_fail2
              SOURCES testdebugallocator.cc
              COMPILE_DEFINITIONS "FAILURE2;EXPECTED_SIGNAL=SIGABRT"
              EXPECT_FAIL
              LABELS quick)

dune_add_test(NAME testdebugallocator_fail3
              SOURCES testdebugallocator.cc
              COMPILE_DEFINITIONS "FAILURE3;EXPECTED_SIGNAL=SIGABRT"
              EXPECT_FAIL
              LABELS quick)

dune_add_test(NAME testdebugallocator_fail4
              SOURCES testdebugallocator.cc
              COMPILE_DEFINITIONS "FAILURE4;DEBUG_ALLOCATOR_KEEP=1;EXPECTED_SIGNAL=SIGSEGV;EXPECTED_ALT_SIGNAL=SIGBUS"
              EXPECT_FAIL
              LABELS quick)

dune_add_test(NAME testdebugallocator_fail5
              SOURCES testdebugallocator.cc
              COMPILE_DEFINITIONS "FAILURE5;EXPECTED_SIGNAL=SIGSEGV;EXPECTED_ALT_SIGNAL=SIGBUS"
              EXPECT_FAIL
              LABELS quick)

dune_add_test(SOURCES testfloatcmp.cc
              LABELS quick)

dune_add_test(SOURCES transposetest.cc
              LABELS quick)

dune_add_test(SOURCES tupleutilitytest.cc
              LABELS quick)

dune_add_test(SOURCES typetraitstest.cc
              LABELS quick)

dune_add_test(SOURCES typeutilitytest.cc
              LABELS quick)

dune_add_test(SOURCES typelisttest.cc
              LABELS quick)

dune_add_test(SOURCES timertest.cc
              LABELS quick)

dune_add_test(SOURCES utilitytest.cc
              LABELS quick)

dune_add_test(SOURCES eigenvaluestest.cc
              CMAKE_GUARD LAPACK_FOUND
              LABELS quick)

dune_add_test(SOURCES versiontest.cc
              LABELS quick)

dune_add_test(SOURCES mathtest.cc
              LABELS quick)

dune_add_test(SOURCES vcexpectedimpltest.cc
              LABELS quick
              CMAKE_GUARD Vc_FOUND)
add_dune_vc_flags(vcexpectedimpltest)

dune_add_test(SOURCES alignedallocatortest.cc)

install(
  FILES
  arithmetictestsuite.hh
  collectorstream.hh
  testsuite.hh
  DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/dune/common/test)

=== debian/changelog ===
dune-common (2.11.0-1) unstable; urgency=medium

  * New upstream version 2.11.0
  * d/watch: Strip v before version from tarball name
  * Added gbp.conf for dep-14 branch conventions
  * Added salsa yaml file
  * Cleanup gbp.conf.
  * Allow passing options to ctest.
  * Fix installation location for pkg-config file for libless modules
  * d/get-orig-source: Changed version for snapshots to have git in them.
  * d/patches: Use full path to install doxygen files.
  * Updated debian/copyright

 -- Markus Blatt <markus@dr-blatt.de>  Fri, 06 Feb 2026 15:44:21 +0100

dune-common (2.11.0-1~exp2) experimental; urgency=medium

  * Added salsa yaml file
  * Cleanup gbp.conf.
  * Allow passing options to ctest.

 -- Markus Blatt <markus@dr-blatt.de>  Thu, 29 Jan 2026 15:37:34 +0100

dune-common (2.11.0-1~exp1) experimental; urgency=medium

  * New upstream version 2.11.0
  * d/watch: Strip v before version from tarball name
  * Added gbp.conf for dep-14 branch conventions
  * Updated changelog

 -- Markus Blatt <markus@dr-blatt.de>  Wed, 28 Jan 2026 12:50:59 +0100

=== debian/watch ===
version=4
opts="filenamemangle=s%.*@PACKAGE@-v?@ANY_VERSION@\.(.*)\.bz2.*%@PACKAGE@-$1.$2\.bz2%,searchmode=plain" \
 https://gitlab.dune-project.org/core/@PACKAGE@/tags?sort=updated_desc -/archive/v?\d[\d.]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@ debian uupdate
